API Explorer 935 endpoints

Update System View

PUT /obp/v7.0.0/system-views/UPD_VIEW_ID

OBPv6.0.0-updateSystemView No role required View-SystemView-Custom

Update an existing system view.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

The JSON sent is the same as during view creation, with one difference: the 'name' field of a view is not editable (it is only set when a view is created).

The 'metadata_view' field determines where metadata (comments, tags, images, where tags) for transactions are stored and retrieved. If set to another view's ID (e.g. 'owner'), metadata added through this view will be shared with all other views that also use the same metadata_view value. If left empty, metadata is stored under this view's own ID and is not shared with other views.

The response contains the updated view with an allowed_actions array.

URL Parameters:

UPD_VIEW_ID: UPD_VIEW_ID

JSON response body fields (14)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
alias
allowed_actions
bank_id
gh.29.uk
can_grant_access_to_views
can_grant_access_to_views
can_revoke_access_to_views
can_revoke_access_to_views
description
Description of the object. Maximum length is 2000. It can be any characters here.
hide_metadata_if_alias_used
false
is_public
false
is_system
true
metadata_view
view_id
owner
view_name
owner
is_firehose
Example request body
{
  "description": "This is the owner view",
  "metadata_view": "owner",
  "is_public": false,
  "is_firehose": false,
  "which_alias_to_use": "private",
  "hide_metadata_if_alias_used": false,
  "allowed_actions": [
    "can_see_transaction_amount",
    "can_see_bank_account_balance",
    "can_add_comment"
  ],
  "can_grant_access_to_views": [
    "owner",
    "accountant"
  ],
  "can_revoke_access_to_views": [
    "owner",
    "accountant"
  ]
}
Example success response
{
  "bank_id": "",
  "account_id": "",
  "view_id": "owner",
  "view_name": "Owner",
  "description": "This is the owner view",
  "metadata_view": "owner",
  "is_public": false,
  "is_system": true,
  "is_firehose": false,
  "alias": "private",
  "hide_metadata_if_alias_used": false,
  "can_grant_access_to_views": [
    "owner",
    "accountant"
  ],
  "can_revoke_access_to_views": [
    "owner",
    "accountant"
  ],
  "allowed_actions": [
    "can_see_transaction_amount",
    "can_see_bank_account_balance",
    "can_add_comment"
  ]
}
Possible errors (5)
  • OBP-10001: Incorrect json format.
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30252: System view not found. Please specify a valid value for VIEW_ID
  • OBP-30258: System view cannot be public
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 updateSystemView Originally /obp/v6.0.0/system-views/UPD_VIEW_ID